package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "PingDIServerRequest",
   propOrder = {"diServiceInfo", "timeOut"}
)
public class PingDIServerRequest {
   @XmlElement(
      name = "DIServiceInfo",
      required = true,
      nillable = true
   )
   protected DIServiceInfo diServiceInfo;
   @XmlElement(
      name = "TimeOut"
   )
   protected int timeOut;

   public DIServiceInfo getDIServiceInfo() {
      return this.diServiceInfo;
   }

   public void setDIServiceInfo(DIServiceInfo value) {
      this.diServiceInfo = value;
   }

   public int getTimeOut() {
      return this.timeOut;
   }

   public void setTimeOut(int value) {
      this.timeOut = value;
   }
}
